#
# spec file for package python3-stuf
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-stuf
Version:        0.9.16
Release:        1.7
Summary:        Various dictionaries with attribute-style access
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://bitbucket.org/lcrees/stuf
Source:         https://files.pythonhosted.org/packages/source/s/stuf/stuf-%{version}.tar.bz2
BuildRequires:  python3-devel
BuildRequires:  python3-parse >= 1.6.6
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
Requires:       python3-parse >= 1.6.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A collection of Python dictionary types that support attribute-style access.
Includes defaultdict,  OrderedDict, restricted, ChainMap, Counter, and
frozen implementations plus miscellaneous utilities for writing Python software.

%prep
%setup -q -n stuf-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

# Remove test files
rm -rf %{buildroot}%{python3_sitelib}/tests/

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python3_sitelib}/stuf-%{version}-py*.egg-info
%{python3_sitelib}/stuf/

%changelog
* Fri Jun  3 2016 toddrme2178@gmail.com
- Initial version
